Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001004Core InformKinds and type checkingpublic2012-09-19 16:392014-05-07 07:34
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.5
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001004: Compiler accepts modifications to r-values resulting from implicit casts
DescriptionThe attached source compiles, despite the fact that "x" cannot be cast to indexed text without destroying its l-value status.
Minimal Source Text To Reproduce
There is a room.
When play begins:
	replace character number 1 in "x" with character number 1 in "y".
Additional InformationTaken from http://www.intfiction.org/forum/viewtopic.php?f=7&t=5482#p39919. [^]

Possibly the same as 0000366, depending on what's going on under the hood.
TagsNo tags attached.
Effect(mild) Compiler accepts invalid code
Attached Files

- Relationships
related to 0000366closedgraham Compiler accepts modifications to constant lists and other putative r-values 

-  Notes
(0001846)
curiousdannii (developer)
2012-09-22 20:02

Marking as acknowledged as it does indeed compile, though I'm not sure what the correct behaviour should be.
(0002244)
graham (administrator)
2014-01-04 09:50

Yes, same as 0000366 (but not 1097).

- Issue History
Date Modified Username Field Change
2012-09-19 16:39 EmacsUser New Issue
2012-09-19 16:39 EmacsUser Issue generated from 0000366
2012-09-19 16:39 EmacsUser Relationship added related to 0000366
2012-09-22 20:02 curiousdannii Note Added: 0001846
2012-09-22 20:02 curiousdannii Status new => acknowledged
2013-03-30 08:17 jmcgrew Status acknowledged => confirmed
2014-01-04 09:50 graham Note Added: 0002244
2014-01-04 09:50 graham Status confirmed => resolved
2014-01-04 09:50 graham Resolution open => fixed
2014-01-04 09:50 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker